Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::SDLTimer Class Reference

`#include <OgreSDLTimer.h>`

Inheritance diagram for Ogre::SDLTimer:

[legend]
List of all members.

## Public Methods

virtual void | reset ()
| Resets timer.
virtual unsigned long | getMilliseconds ()
| Returns milliseconds since initialisation or last reset.
virtual unsigned long | getMicroseconds ()
| Returns microseconds since initialisation or last reset.
virtual unsigned long | getMillisecondsCPU ()
| Returns milliseconds since initialisation or last reset, only CPU time measured.
virtual unsigned long | getMicrosecondsCPU ()
| Returns microseconds since initialisation or last reset, only CPU time measured.

## Protected Attributes

clock_t | zeroClock

## Private Attributes

timeval | start

## Member Function Documentation

unsigned long Ogre::SDLTimer::getMicroseconds | ( |  | ) | `[virtual]`

| Returns microseconds since initialisation or last reset. Reimplemented from Ogre::Timer. Definition at line 61 of file OgreSDLTimer.cpp. References start.

unsigned long Ogre::Timer::getMicrosecondsCPU | ( |  | ) | `[virtual, inherited]`

| Returns microseconds since initialisation or last reset, only CPU time measured. Definition at line 57 of file OgreTimer.cpp. References Ogre::Timer::zeroClock. Referenced by Ogre::Timer::getMicroseconds().

unsigned long Ogre::SDLTimer::getMilliseconds | ( |  | ) | `[virtual]`

| Returns milliseconds since initialisation or last reset. Reimplemented from Ogre::Timer. Definition at line 54 of file OgreSDLTimer.cpp. References start.

unsigned long Ogre::Timer::getMillisecondsCPU | ( |  | ) | `[virtual, inherited]`

| Returns milliseconds since initialisation or last reset, only CPU time measured. Definition at line 46 of file OgreTimer.cpp. References Ogre::Timer::zeroClock. Referenced by Ogre::Timer::getMilliseconds().

void Ogre::SDLTimer::reset | ( |  | ) | `[virtual]`

| Resets timer. Reimplemented from Ogre::Timer. Definition at line 48 of file OgreSDLTimer.cpp. References start.

## Member Data Documentation

struct timeval Ogre::SDLTimer::start`[private]`

| Definition at line 47 of file OgreSDLTimer.h. Referenced by getMicroseconds(), getMilliseconds(), and reset().

clock_t Ogre::Timer::zeroClock`[protected, inherited]`

| Definition at line 39 of file OgreTimer.h. Referenced by Ogre::Timer::getMicrosecondsCPU(), Ogre::Timer::getMillisecondsCPU(), and Ogre::Timer::reset().

The documentation for this class was generated from the following files:

- OgreSDLTimer.h
- OgreSDLTimer.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:50:24 2004